Page MenuHomePhabricator

Function to add a claim with source in a single edit
Closed, ResolvedPublic

Description

Create a function "addClaimWithSource" and implement it in relevant scripts. Instead of adding a claim then in a consecutive edit to add a source to that claim, there should be a smarter way to act - adding directly claim with source in single edit.

Details

Related Gerrit Patches:

Event Timeline

XXN created this task.Jul 12 2017, 3:48 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 12 2017, 3:48 PM
XXN triaged this task as Medium priority.Jul 12 2017, 3:49 PM
XXN added a subscriber: Ladsgroup.

Change 447397 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[pywikibot/core@master] Support adding new claims with qualifiers and/or references

https://gerrit.wikimedia.org/r/447397

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:28 AM
Xqt closed this task as Resolved.Dec 28 2018, 2:32 PM

Change 447397 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Support adding new claims with qualifiers and/or references

https://gerrit.wikimedia.org/r/447397